#ifndef RENDERER_H_
#define RENDERER_H_

#include "Rectangle.h"
#include "Polygon.h"
#include "EditManager.h"
#include "Level.h"


class Renderer {
  private:
    EditManager *editManager;
    
    void drawGrid(const Rectangle &rect, float scale);
    void fillPolygon(const Polygon &polygon);
    void drawPolygon(const Polygon &polygon, bool close);
    
  public:
    Renderer(EditManager *editManager) {
      this->editManager = editManager;
    }
    
    void render(const Level &level, const Rectangle &rect, float scale);
};

#endif /*RENDERER_H_*/
